<!DOCTYPE html>
<html>
<head lang="pt-br">

  <!-- CODIGO META BOOTSTRAP -->
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">


  <title>PROJETO WEB</title>


  <!-- CSS BOOTSTRAP -->
  <link href="css/bootstrap.min.css" rel="stylesheet">


  <!-- SCRIPT BOOTSTRAP -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
  <script src="js/jquery.validate.js"></script>
  <script src="js/bootstrap.min.js"></script>
  

  <!-- SCRIPT DE MÁSCARA DE VALORES -->
  <script src="js/jquery.maskMoney.js"></script>
  <script src="js/jquery.maskedinput.js"></script>


  <!-- METODOS JQUERY DA PAGINA -->
  <script type="text/javascript">

    // --- MASCARA MONETARIA ---
    $(function(){
     $("#prdPreco").maskMoney({
      symbol:'R$ ', 
      showSymbol:true, 
      thousands:'.', 
      decimal:',', 
      symbolStay: true
    });


    // --- MASCARA DE DATA ---
    $("#prodDataVenc").mask("99/99/9999");


    // --- MASCARA DO CODIGO DE BARRAS ---
    $("#prdCodBarras").mask("9999999999999");


    // --- METODO DE ENVIO ---
    $.validator.setDefaults({
      submitHandler: function() {
        alert("Produto "+prodNome.value+" cadastrado com sucesso !")
      }
    });


    // --- VALIDAÇÃO DO FORMULARIO ---
    $("#formCadProd").validate({
      rules: {

        prdCodBarras: {
          required: true,
        },

        prodNome: {
          required: true
        },

        prodDesc: {
          required: true
        },

        prodDataVenc: {
          required: true
        },

        prdPreco: {
          required: true
        }

      },

      messages:{

        prdCodBarras: {
          required: "Insira um codigo de barras com no minimo treze digitos (EAN-13)",
        },

        prodNome: {
          required: "Insira um nome para o produto"
        },

        prodDesc: {
          required: "Insira uma descrição para o produto"
        },

        prodDataVenc: {
          required: "Insira uma data de vencimento para o produto"
        },

        prdPreco: {
          required: "Insira um valor para o produto"
        }

      }

    });

  });
</script>


<!-- CSS DA MENSAGEM DE ERRO -->
<style type="text/css">
  .error 
  {
    color: #EE0000;
    font-style: italic;
    font-size: 1ep; 
  }
</style>


</head>

<body>

  <div class="container-fluid">

    <h3>Cadastro de Produtos </h3>


    <!-- INICIO DO FORMULARIO -->
    <form class="form-horizontal" id="formCadProd" method="POST">


      <!-- CAMPO "CODIGO DE BARRAS" -->
      <div class="form-group">
        <label for="prdCodBarras" class="col-md-2 control-label">*Cod. de Barras</label>
        <div class="col-md-6">
          <input type="text" class="form-control col-md-3" name="prdCodBarras" id="prdCodBarras">
        </div>
      </div>


      <!-- CAMPO "NOME" -->
      <div class="form-group">
        <label for="prodNome" class="col-md-2 control-label">*Nome</label>
        <div class="col-md-6">
          <input type="text" class="form-control" name="prodNome" id="prodNome" >
        </div>
      </div>


      <!-- CAMPO "DESCRIÇÃO" -->
      <div class="form-group">
        <label for="prodDesc" class="col-md-2 control-label">*Descrição</label>
        <div class="col-md-6">
          <textarea  style="resize: none;" name="prodDesc" id="prodDesc" class="form-control" maxlength="148" ></textarea>
        </div>
      </div>


      <!-- CAMPO "DATA DE VENCIMENTO" -->
      <div class="form-group">
        <label for="prodDataVenc" class="col-md-2 control-label">*Data de Vencimento</label>
        <div class="col-md-6">
          <input type="text" class="form-control" name="prodDataVenc" id="prodDataVenc" >
        </div>
      </div>


      <!-- CAMPO "PREÇO" -->
      <div class="form-group">
        <label for="prodPreco" class="col-md-2 control-label">*Preço</label>
        <div class="col-md-6">
          <input type="text" class="form-control" name="prdPreco" id="prdPreco" maxlength="21" >
        </div>
      </div>


      <!-- MENSAGEM -->
      <div class="form-group">
        <div class="col-sm-offset-2 col-sm-12">
          <small><em>Os campos marcados com asterisco (*) são de preenchimento obrigatorio.</em></small>
        </div>
      </div>


      <!-- BOTÕES -->
      <div class="form-group">
       <div class="col-sm-offset-2 col-sm-12">
         <button type="submit" class="btn btn-default">Grava</button>
         <button type="reset" class="btn btn-default">Limpa</button>
       </div>
     </div>

   </form>  


 </div>

</body>
</html>